# image: tetraweb/php

# before_script:
#  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
#  - eval $(ssh-agent -s)
#  - mkdir -p ~/.ssh
#  - chmod 700 ~/.ssh
#  - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'

# deploy_stage:
#   only:
#     - master
#   script:
#     - ssh-add <(echo "$PRIVATE_KEY")
#     - ssh $CLIENT_ADDRESS "mkdir public_html/printcart_tf/printcart-business/wp-content/plugins/__tmp"
#     - scp -P22 -r /builds/netbase-wp/nb-fw/* $CLIENT_ADDRESS:public_html/printcart_tf/printcart-business/wp-content/plugins/__tmp
#     - ssh -p22 $CLIENT_ADDRESS "mv public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw public_html/printcart_tf/printcart-business/wp-content/plugins/_old"
#     - ssh -p22 $CLIENT_ADDRESS "mv public_html/printcart_tf/printcart-business/wp-content/plugins/__tmp public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -rf public_html/printcart_tf/printcart-business/wp-content/plugins/_old"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-e-gift-cart/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-e-gift-cart/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-mug/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-mug/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-noel/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-noel/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-parallax/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-parallax/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-phone-case/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-phone-case/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-teepro/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-teepro/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-tote-bags/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-tote-bags/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-wedding-card/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-wedding-card/wp-content/plugins/nb-fw"
#     - ssh $CLIENT_ADDRESS "rm -r public_html/printcart_tf/printcart-young/wp-content/plugins/nb-fw/*"
#     - ssh $CLIENT_ADDRESS "cp -a public_html/printcart_tf/printcart-business/wp-content/plugins/nb-fw/. public_html/printcart_tf/printcart-young/wp-content/plugins/nb-fw"